<?php
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles' );
function my_theme_enqueue_styles() {
 
    $parent_style = 'hamilton-style';
 
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );
}
function removeGoogleFonts(){
    global $wp_styles;
        $regex = '/fonts\.googleapis\.com\/css\?family/i';
        foreach($wp_styles->registered as $registered) {

            if( preg_match($regex, $registered->src) ) {
                wp_dequeue_style($registered->handle);
            }
        }
    }
add_action('wp_enqueue_scripts', 'removeGoogleFonts', 999);
?>